[Overview][Types][Classes][Variables][Index] | Reference for unit 'AVL_Tree' (#fcl)

# TAVLTreeNode.ConsistencyCheck

Check consistency of the node and below nodes.

## Declaration

Source position: avl_tree.pp line 52

`public procedure TAVLTreeNode.ConsistencyCheck(`
`Tree: TAVLTree`
`); virtual;`

## Arguments

`Tree` |  | Tree to which node belongs

## Description

ConsistencyCheck checks whether the node and nodes below are consistent, i.e. the nodes are still ordered correctly: left nodes are before right nodes.

## Errors

If an inconsistency is detected, an exception is raised.